Bug 441792 - [scim-python-xingma] Cangjie 5 mis-categorized from Traditional Chinese to Simplified Chinese.
Summary: [scim-python-xingma] Cangjie 5 mis-categorized from Traditional Chinese to Si...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: scim-python   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Peng Huang
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-10 06:11 UTC by Caius Chance
Modified: 2008-08-06 05:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 05:11:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Caius Chance 2008-04-10 06:11:28 UTC
Description of problem:
Cangjie 5 mis-categorized from Traditional Chinese to Simplified Chinese in
SCIM. Thought Cangjie 5 could also output Simplified Chinese, it was initially
designed for Traditional Chinese users. It is appropriate to appear in both
categories or just in TC, but not solely in SC.

Version-Release number of selected component (if applicable):
scim-python-xingma-0.1.10-3.fc9
scim-python-xingma-cangjie-0.1.10-3.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Install scim-python-xingma and scim-python-xingma-cangjie packages.
2. Start gnome desktop.
3. Start im-chooser, select SCIM as default.
4. Reboot.
5. Start gnome desktop.
6. Right click on left most icon on scim toolbar and select "SCIM setup".
7. Ensure CangJie 5 is enabled (already in SC category...).
8. Click OK and save.
9. Logout and back to gnome desktop.
10. Start scim with ctrl+space.
11. Click on the 2nd icon from the left of toolbar.
12. Move to Chinese (simplified) and look for CangJie 5 in submenu. (Also check
Chinese (traditional).
  
Actual results:
Cangjie 5 is in Chinese (simplified) category.

Expected results:
Cangjie 5 is in Chinese (traditional) category.

Additional info:
Uninstall of scim-python-xingma, scim-python-xingma-cangjie (even
scim-python-xingma-*) the Cangjie 5 is back to TC category.

Comment 1 Peng Huang 2008-04-17 03:28:34 UTC
Fixed in scim-python-0_1_11-1_fc9.

Comment 2 Bug Zapper 2008-05-14 09:13:37 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jens Petersen 2008-07-08 06:36:26 UTC
Caius could you please confirm and close if this is ok?

Comment 4 Caius Chance 2008-07-08 14:39:05 UTC
It is located in TC group now correctly. Great job!

It would be even better, if user could distinguish new and old CJ5 easier.

Having icon and name differs from original ones, such as temporary using the
icon of Python Pinyin and changing the name to "Python Cangjie 5". 

I trust you might have better solutions.

Comment 5 Caius Chance 2008-07-08 14:43:10 UTC
This bug could be closed as resolved if the suggestions in comment #4 is cloned
as new bug report, or there is already a recorded plan of such improvement in
next package release.


Note You need to log in before you can comment on or make changes to this bug.